Loading...
Searching...
No Matches
Ui::CMainMap Class Reference

## Public Member Functions

void | UpdateMap ()
void | CreateMap ()
void | SetFixImage (const char *filename)
void | FloorColorMap (Gfx::Color floor, Gfx::Color water)
void | ShowMap (bool bShow)
void | DimMap ()
float | GetZoomMap ()
void | ZoomMap (float zoom)
void | ZoomMap ()
void | MapEnable (bool bEnable)
bool | GetFixImage ()
CObject * | DetectMap (Math::Point pos, bool &bInMap)
void | SetHighlight (CObject *pObj)
void | SetToy (bool bToy)
void | SetFixParam (float zoom, float ox, float oy, float angle, int mode, bool bDebug)

## Protected Attributes

CEventQueue * | m_event
Gfx::CEngine * | m_engine
CInterface * | m_interface
bool | m_bFixImage

The documentation for this class was generated from the following files:

- src/ui/mainmap.h
- src/ui/mainmap.cpp